Skip to main content
GET
/
users
/
{user_guid}
/
investment_holdings
/
{holding_guid}
Read holding
curl --request GET \
  --url https://int-api.mx.com/users/{user_guid}/investment_holdings/{holding_guid} \
  --header 'Accept-Version: <accept-version>' \
  --header 'Authorization: Basic <encoded-value>'
import requests

url = "https://int-api.mx.com/users/{user_guid}/investment_holdings/{holding_guid}"

headers = {
    "Accept-Version": "<accept-version>",
    "Authorization": "Basic <encoded-value>"
}

response = requests.get(url, headers=headers)

print(response.text)
const options = {
  method: 'GET',
  headers: {'Accept-Version': '<accept-version>', Authorization: 'Basic <encoded-value>'}
};

fetch('https://int-api.mx.com/users/{user_guid}/investment_holdings/{holding_guid}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "investment_holding": {
    "account_guid": "ACT-06d7f44b-caae-0f6e-1384-01f52e75dcb1",
    "cost_basis": 827,
    "coupon_yield": null,
    "currency_code": "USD",
    "current_price": 15,
    "daily_change": 2.5,
    "description": "Guggenheim Defensive Equity ETF",
    "expiration": null,
    "face_value": 1000,
    "frequency": "ANNUALLY",
    "guid": "HOL-d65683e8-9eab-26bb-bcfd-ced159c9abe2",
    "market_value": 989.5,
    "maturity_date": null,
    "percentage_change": 0.2,
    "purchase_price": 26.3,
    "quantity": "5000.0",
    "rate": null,
    "strike_price": null,
    "symbol": "DEF",
    "term": null,
    "today_ugl_amount": 200,
    "today_ugl_percentage": 0.27,
    "total_ugl_amount": 20000,
    "total_ugl_percentage": 26.67,
    "unvested_quantity": null,
    "unvested_value": null,
    "user_guid": "USR-fa7537f3-48aa-a683-a02a-b18940482f54",
    "vested_quantity": null,
    "vested_value": null,
    "created_at": "2025-02-13T18:08:00+00:00",
    "current_price_as_of": "2023-11-06T00:00:00Z",
    "issue_date": "2015-08-15",
    "vesting_start_date": null,
    "vesting_end_date": null,
    "put_or_call": null,
    "holding_type": "MUTUAL_FUND",
    "term_unit": null
  }
}
Use this endpoint to read the attributes of a specific holding.

Authorizations

Authorization
string
header
required

The MX Platform API requires basic access authentication using your client_id and api_key. These credentials must be Base64 encoded and included in the Authorization header of each API request to ensure secure access.

Here's an example using curl to access v20250224. Replace https://int-api.mx.com/endpoint with the actual API endpoint you wish to access and your Base64 encoded client_id and api_key.

curl -L -X POST `https://int-api.mx.com/endpoint' \
-H 'Content-Type: application/json' \
-H 'Accept: application/json' \
-H 'Accept-Version: v20250224'
-H 'Authorization: Basic BASE_64_ENCODING_OF{client_id:api_key}'

Headers

Accept-Version
string
default:v20250224
required

MX Platform API version.

Example:

"v20250224"

Path Parameters

holding_guid
string
required

The unique id for a holding.

user_guid
string
required

The unique identifier for a user, beginning with the prefix USR-.

Response

200 - application/json

OK

investment_holding
object